package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

@Table("vpn_policy")
public class VpnPolicy extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("encryption_algorithm")
    private String encryptionAlgorithm; //加密算法
    @Column("authorization_algorithm")
    private String authorizationAlgorithm;// 授权算法
    @Column("pfs")
    private String pfs;
    @Column("version")
    private String version; // 版本
    @Column("key_unit")
    private String keyUnit; // 秘钥生存期单位
    @Column("key_value")
    private String keyValue; // 值
    @Column("mode")
    private String mode;  // 协商模式
    @Column("group_secret")
    private String groupSecret;   // 完善前项保密
    @Column("protocol")
    private String protocol;   //协议
    @Column("category")
    private String category;  // 分类   ike  ipec
    @Column("vendor_id")
    private Long vendorId;
    @Column("tenant_id")
    private Long tenantId;
    @Column("region")
    private String region;
    @Column("policy_uuid")
    private String policyUuid;
    @Column("tenant_uuid")
    private String tenantUuid;
    @IgnoreAll
    private String osTenantName;

    /**
     *
     */
    public VpnPolicy() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getEncryptionAlgorithm() {
        return encryptionAlgorithm;
    }

    public void setEncryptionAlgorithm(String encryptionAlgorithm) {
        this.encryptionAlgorithm = encryptionAlgorithm;
    }

    public String getAuthorizationAlgorithm() {
        return authorizationAlgorithm;
    }

    public void setAuthorizationAlgorithm(String authorizationAlgorithm) {
        this.authorizationAlgorithm = authorizationAlgorithm;
    }

    public String getPfs() {
        return pfs;
    }

    public void setPfs(String pfs) {
        this.pfs = pfs;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getKeyUnit() {
        return keyUnit;
    }

    public void setKeyUnit(String keyUnit) {
        this.keyUnit = keyUnit;
    }

    public String getKeyValue() {
        return keyValue;
    }

    public void setKeyValue(String keyValue) {
        this.keyValue = keyValue;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public String getGroupSecret() {
        return groupSecret;
    }

    public void setGroupSecret(String groupSecret) {
        this.groupSecret = groupSecret;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getPolicyUuid() {
        return policyUuid;
    }

    public void setPolicyUuid(String policyUuid) {
        this.policyUuid = policyUuid;
    }

    public String getTenantUuid() {
        return tenantUuid;
    }

    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }

    public String getOsTenantName() {
        return osTenantName;
    }

    public void setOsTenantName(String osTenantName) {
        this.osTenantName = osTenantName;
    }
}
